> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/pin-management/es/integrar-la-api-d1/referencia-de-la-api-d1/api-saliente-desde-d1/api-de-activacion-de-tarjetas.md).

# API de activación de tarjetas

[Descargar D1-Public-OUT-v1-Physical-Issuance.yaml](https://openapi.gitbook.com/o/fwy1mtbRONGA2YDKDBr0/spec/D1-Public-OUT-v1-Physical-Issuance.yaml)

## Activate Card

> This API is used by D1 to activate a physical card in the issuer backend.\
> \<br/>\<br/>\
> The operation is \<b>idempotent\</b>: if the card is already active, the request\
> completes successfully and returns \<code>204 No Content\</code>\
> \<br/>\
> This operation does not require a request body.\
> \<br/>\<br/>\
> Security for this endpoint is enforced outside of the OpenAPI contract\
> (for example, via mutual TLS, private network connectivity, or IP allow‑listing).<br>

```json
{"openapi":"3.0.0","info":{"title":"Outbound Physical Card API","version":"1.0"},"servers":[{"url":"https://api.your-domain.com","description":"Production server"},{"url":"https://api-stg.your-domain.com","description":"Staging server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","description":"A JWT generated by the [Get Authorization Token API](oauth2-api).<br/>The server checks the validity of the provided token to control access to this protected resource. Please refer to [Get OAuth 2.0 access token](../../../integrate-the-d1-api/get-oauth-2.0-access-token) for more details on the flow and on how to get this JWT.","scheme":"bearer","bearerFormat":"JWT"}},"responses":{"BadRequestOutbound":{"description":"Bad Request, Invalid request URI or header, or unsupported non-standard parameter","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGenericOutbound"}}}},"UnauthorizedOutbound":{"description":"The provided Authorization header is missing or invalid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGenericOutbound"}}}},"ForbiddenForPhysicalCardOutbound":{"description":"Forbidden action, check the state of the linked end user (consumer) or account or card","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGenericOutbound"}}}},"NotFoundForPhysicalCardOutbound":{"description":"Resource not found, Unknown issuerId or consumerId or accountId or card id","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGenericOutbound"}}}},"InternalServerErrorOutbound":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorGenericOutbound"}}}}},"schemas":{"errorGenericOutbound":{"type":"object","description":"Generic error returned by the APIs.","properties":{"error":{"type":"string","description":"Description of the error."}}}}},"paths":{"/cms/api/v1/issuers/{issuerId}/physicalCards/{cardId}/activate":{"post":{"summary":"Activate Card","operationId":"ActivateCard","responses":{"204":{"description":"Card successfully activated."},"400":{"$ref":"#/components/responses/BadRequestOutbound"},"401":{"$ref":"#/components/responses/UnauthorizedOutbound"},"403":{"$ref":"#/components/responses/ForbiddenForPhysicalCardOutbound"},"404":{"$ref":"#/components/responses/NotFoundForPhysicalCardOutbound"},"500":{"$ref":"#/components/responses/InternalServerErrorOutbound"}},"description":"This API is used by D1 to activate a physical card in the issuer backend.\n<br/><br/>\nThe operation is <b>idempotent</b>: if the card is already active, the request\ncompletes successfully and returns <code>204 No Content</code>\n<br/>\nThis operation does not require a request body.\n<br/><br/>\nSecurity for this endpoint is enforced outside of the OpenAPI contract\n(for example, via mutual TLS, private network connectivity, or IP allow‑listing).\n"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/pin-management/es/integrar-la-api-d1/referencia-de-la-api-d1/api-saliente-desde-d1/api-de-activacion-de-tarjetas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
